## qbs 1.22.1

=== debian/changelog ===
qbs (1.22.1-2) unstable; urgency=medium

  * Mark some symbols as optional (closes: #1010755).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 May 2022 14:05:37 +0300

qbs (1.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop docs_install_path.diff, a different fix was applied upstream.
    - Update install path for QCH docs.
  * Add a patch to fix SONAME of libqbscore.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 May 2022 11:14:40 +0300

qbs (1.22.0-4) unstable; urgency=medium

  * Disable api and blackbox tests also on mips64el.
  * Update debian/libqbscore1.22.symbols for mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 21:59:47 +0300

qbs (1.22.0-3) unstable; urgency=medium

  * Disable api and blackbox tests on mipsel, blackbox on riscv64.
  * Update debian/libqbscore1.22.symbols for more architectures.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 19:46:08 +0300

qbs (1.22.0-2) experimental; urgency=medium

  * Update debian/libqbscore1.22.symbols from buildds’ logs.
  * Update disable_tests_qtscript.diff for CMake port.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 Apr 2022 00:19:07 +0300

qbs (1.22.0-1) experimental; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release (version: 1.21.0)
  * debian/*: Bump SONAME on libqbscore binary pkg to 1.21
  * debian/patches: Refresh patches for 1.21
  * debian/control: Bump standards version to 4.6.0
  * debian/control: Set requires root to no
  * debian/patch: Add tests-Make-sure-we-handle-prefix-cases-where-libPath patch
  * debian/qbs-common: Add new files added in 1.20/1.21
  * debian/libqbscore: Bump symbols ver to match pkg ver
  * debian/copyright: Update copyright to match upstream release (1.21.0)
  * debian/*: Port to use cmake as build system
  * debian/rules: Workaround bug with parallel creation of docs

  [ Dmitry Shachnev ]
  * New upstream release (1.22.0).
  * Drop tests_Make_sure_we_handle_prefix_cases_where_libPath.diff,
    included in the new release.
  * Rename libqbscore1.21 to libqbscore1.22 for upstream SONAME change.
  * Update debian/qbs-common.install and add debian/not-installed.
  * Update symbols files from the current build logs.
  * Update debian/copyright.
  * Remove patches that are not relevant since switch to CMake.
  * Add a patch to fix documentation install with CMake.
  * Remove override_dh_install target in favor of debian/not-installed.
  * Simplify override_dh_auto_clean target.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Apr 2022 21:39:30 +0300
