## qbs 1.24.0+dfsg

=== debian/changelog ===
qbs (1.24.0+dfsg-4+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1.10.0+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 06 Feb 2018 00:27:38 +0000]
  * Add symbols file hack for Raspbian.
  * Fix clean target.

  [changes introduced in 1.12.1+dfsg-2+rpi1 by Peter Michael Green]
  * Disable testsuite.

  [changes introduced in 1.12.2+dfsg-1+rpi1 by Peter Michael Green]
  * Mark another symbol as optional. I'm guessing the presence or absesne of
    this one depends on optimisation descisions by the compiler and/or the
    version of libstdc++

  [changes introduced in 1.13.1-2+rpi1 by Peter Michael Green]
  * Extend symbols file hack.

  [changes introduced in 1.22.0-4+rpi1 by Peter Michael Green]
  * Further extend symbols file hack.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 19 Jan 2023 11:57:19 +0000

qbs (1.24.0+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Mon, 02 Jan 2023 00:39:26 +0100

qbs (1.24.0+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Adjust Qt 6 B-Ds to account for renaming.
  * Update symbols from buildlogs (Closes: #1027474).

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Jan 2023 14:25:13 +0100

qbs (1.24.0+dfsg-2) unstable; urgency=medium

  * Copy a patch from qtscript to add s390x support.
  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 30 Nov 2022 17:13:12 +0300

qbs (1.24.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqbscore1.23.symbols for riscv64.
  * Rename libqbscore1.23 to libqbscore1.24 for upstream SONAME change.
  * Switch from Qt 5 to Qt 6.
    - Add libqbsscriptengine1.24 package (port of QtScript to Qt 6).
  * Document copyright of src/shared/qtscript/*.
  * Repack the tarball to exclude uncertainly licensed tests.
  * Override some false-positive source-is-missing Lintian errors.
  * Refresh debian/patches/skip_test_concurrent.diff.
  * Drop doc_Install_man_pages_with_cmake.diff, applied upstream.
  * Pass -DQBS_INSTALL_MAN_PAGE=yes to dh_auto_configure.
  * Install one new header file (deprecationwarningmode.h).
  * Update debian/libqbscore1.24.symbols from the current logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 14:24:52 +0300

qbs (1.23.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to link with atomic library when using address sanitizer,
    to fix test failure on armel (see #1016041).
  * Update debian/libqbscore1.23.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Aug 2022 14:41:45 +0300

qbs (1.23.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop cmake_regex_syntax.diff, applied upstream.
  * Refresh test_sanitizers_only_on_amd64.diff.
  * Rename libqbscore1.22 to libqbscore1.23 for upstream SONAME change.
  * Install one new file (asan.qbs).
  * Update debian/libqbscore1.23.symbols for GCC 12 (closes: #1013020).
  * Do not build documentation in build-arch target (closes: #1011159).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jul 2022 23:38:44 +0300
