=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libqt6opengl6-dev,
                pkg-kde-tools,
                python3-bs4,
                python3-lxml,
-               qtbase5-dev (>= 5.14.0),
-               qtbase5-private-dev,
-               qtdeclarative5-private-dev,
-               qtscript5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Build-Depends-Indep: libqt5sql5-sqlite
+               qt6-5compat-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-declarative-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://wiki.qt.io/Qbs
@@ -48,7 +47,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.22
+Package: libqbscore1.24
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -61,11 +60,25 @@
  .
  This package contains Qbs core shared library.
 
+Package: libqbsscriptengine1.24
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qbs script engine library
+ Qbs is a general purpose cross-platform build tool that aims at fast and
+ correct incremental builds. It features a project description language that
+ is similar to QML.
+ .
+ This package contains Qbs script engine shared library.
+
 Package: qbs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.22 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore1.24 (= ${binary:Version}),
+         libqbsscriptengine1.24 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
@@ -96,7 +109,7 @@
  is similar to QML.
  .
  This package contains the documentation for Qbs in QCH format, which can be
- viewed using Qt Assistant from qttools5-dev-tools package.
+ viewed using Qt Assistant from assistant-qt6 package.
 
 Package: qbs-doc-html
 Multi-Arch: foreign
