=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,25 @@
 
 BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)
 
-export QT_SELECT := qt5
-
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake
 
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -type f -name .gitignore -delete -print
+	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh3)/(arch=armel riscv64)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh4)/(arch=!armel !riscv64)/' debian/libqbscore1.*.symbols
+	sed -i 's/(optional=meh5)/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/' debian/libqbscore1.*.symbols
+	rm -rf doc/qbs
 
 override_dh_auto_configure:
+	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=armel riscv64)/(optional=meh3)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=!armel !riscv64)/(optional=meh4)/' debian/libqbscore1.*.symbols
+	sed -i 's/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/(optional=meh5)/' debian/libqbscore1.*.symbols
 	dh_auto_configure -- \
 		-DQBS_ENABLE_RPATH=no \
 		-DWITH_TESTS=yes \
@@ -24,8 +33,20 @@
 		-DQBS_INSTALL_PREFIX=/usr \
 		-DQBS_LIB_INSTALL_DIR=lib/${DEB_HOST_MULTIARCH} \
 		-DQBS_PLUGINS_INSTALL_BASE=lib/${DEB_HOST_MULTIARCH} \
+		-DQBS_INSTALL_MAN_PAGE=yes \
 		-DQBS_INSTALL_HTML_DOCS=yes \
 		-DQBS_INSTALL_QCH_DOCS=yes
+
+override_dh_auto_build-arch:
+	dh_auto_build -- -C src
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	dh_auto_build -- -C share
+	dh_auto_build -- -C tests
+endif
+
+override_dh_auto_install-arch:
+	dh_auto_install -- -C src
+	dh_auto_install -- -C doc/man
 
 override_dh_auto_build-indep:
 	dh_auto_build --no-parallel -- -C doc
@@ -36,7 +57,7 @@
 	dh_auto_install -- -C share
 
 override_dh_auto_test-arch:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),testsuitedisabled)
 	set -ex; \
 		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
 		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
@@ -44,7 +65,7 @@
 		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
 		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
 		$(BUILDPATH)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
-		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
+		$(BUILDPATH)/bin/qbs-setup-qt /usr/bin/qmake6 qbs_autotests; \
 		[ -n "`$(BUILDPATH)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
 			$(BUILDPATH)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
 		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1
