=== debian/changelog ===
qbs (1.24.1+dfsg-2) unstable; urgency=medium

  * Add a patch to find qdoc directly, to fix arch:all build.
  * Prevent dh_compress from compressing qbs.qch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Mar 2023 20:28:50 +0300

qbs (1.24.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark some symbols that disappear with -O3 as optional.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Mar 2023 21:02:25 +0300
