=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-tools-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
