=== debian/rules ===
--- 
+++ 
@@ -13,19 +13,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -type f -name .gitignore -delete -print
-	sed -i 's/(optional=meh)/(arch=armel)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh2)/(arch=!armel)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh3)/(arch=armel riscv64)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh4)/(arch=!armel !riscv64)/' debian/libqbscore1.*.symbols
-	sed -i 's/(optional=meh5)/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/' debian/libqbscore1.*.symbols
-	rm -rf doc/qbs
 
 override_dh_auto_configure:
-	sed -i 's/(arch=armel)/(optional=meh)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=!armel)/(optional=meh2)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=armel riscv64)/(optional=meh3)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=!armel !riscv64)/(optional=meh4)/' debian/libqbscore1.*.symbols
-	sed -i 's/(arch=armhf i386 mips64el mipsel powerpc ppc64 riscv64 s390x)/(optional=meh5)/' debian/libqbscore1.*.symbols
 	dh_auto_configure -- \
 		-DQBS_ENABLE_RPATH=no \
 		-DWITH_TESTS=yes \
@@ -57,7 +46,7 @@
 	dh_auto_install -- -C share
 
 override_dh_auto_test-arch:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),testsuitedisabled)
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	set -ex; \
 		export LD_LIBRARY_PATH=$(BUILDPATH)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
 		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
@@ -72,3 +61,6 @@
 endif
 
 override_dh_auto_test-indep:
+
+override_dh_compress:
+	dh_compress --exclude=.qch
