=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz
