## qbs 2.1.1

=== debian/changelog ===
qbs (2.1.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols from buildds’ logs.
  * Mark more symbols that disappear with -O3 as optional.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Aug 2023 20:44:00 +0300

qbs (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_build.diff, included in the new release.
  * Update debian/libqbscore2.1.symbols from buildds’ and current build logs.
  * Update debian/patches/test_sanitizers_only_on_amd64.diff so it
    applies also to address sanitizer.
  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Aug 2023 19:58:53 +0300

qbs (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Stop repacking the upstream tarball, no longer needed.
  * Drop patches, not needed due to removal of qtscript:
    - disable_tests_qtscript.diff
    - s390x_jscore.diff
  * Also drop find_qdoc.diff, included in the new release.
  * Refresh other patches.
  * Update debian/copyright.
  * Drop debian/source/lintian-overrides, no longer needed.
  * Drop libqbsscriptengine1.24 package.
  * Update debian/qbs-dev.install.
  * Rename libqbscore1.24 to libqbscore2.1 for upstream SONAME change.
  * Backport two upstream patches to fix build on 32-bit architectures.
  * Update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Aug 2023 23:10:30 +0300
