=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.24
+Package: libqbscore2.1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -60,25 +60,11 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsscriptengine1.24
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qbs script engine library
- Qbs is a general purpose cross-platform build tool that aims at fast and
- correct incremental builds. It features a project description language that
- is similar to QML.
- .
- This package contains Qbs script engine shared library.
-
 Package: qbs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.24 (= ${binary:Version}),
-         libqbsscriptengine1.24 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqbscore2.1 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
