## qbs 2.1.2

=== tests/CMakeLists.txt ===
add_subdirectory(auto)
add_subdirectory(benchmarker)
add_subdirectory(fuzzy-test)
