=== src/shared/json/CMakeLists.txt ===
add_qbs_library(qbsjson
    STATIC
    SOURCES json.cpp json.h
    )
