=== debian/changelog ===
qbs (2.1.2-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:42:51 +1100

qbs (2.1.2-2.1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:56:01 +0000

qbs (2.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062711

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:29:48 +0000

qbs (2.1.2-2) unstable; urgency=medium

  * Update debian/libqbscore2.1.symbols for loong64 (closes: #1057757).
  * Also update debian/libqbscore2.1.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Dec 2023 13:54:19 +0300

qbs (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop quickjs_32bit_float64_tag.diff, applied upstream.
  * Refresh asan_atomic.diff.
  * Update debian/libqbscore2.1.symbols for sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Sep 2023 22:18:32 +0300
