=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qbs
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 13),
                libqt6opengl6-dev,
                pkg-kde-tools,
@@ -47,7 +48,10 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.1
+Package: libqbscore2.1t64
+Provides: ${t64:Provides}
+Replaces: libqbscore2.1
+Breaks: libqbscore2.1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -64,7 +68,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.1t64 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
