## qbs 2.3.1

=== debian/changelog ===
qbs (2.3.1-6) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols fifth time in a row.
  * Use dpkg-build-api level 1, drop explicit Rules-Requires-Root: no.
  * Do not build with -O3 on Ubuntu ppc64el, that causes link failures.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jul 2024 15:40:19 +0300

qbs (2.3.1-5) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols for GCC 14 (closes: #1075426).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Jul 2024 00:03:41 +0300

qbs (2.3.1-4) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols again, this time for Qt 6.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jun 2024 21:54:49 +0300

qbs (2.3.1-3) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Merge two symbols for bucketsForCapacity() (closes: #1072386).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Jun 2024 16:40:32 +0300

qbs (2.3.1-2) unstable; urgency=medium

  * Update debian/libqbscore2.3.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 May 2024 11:09:39 +0300

qbs (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a patch to make the linkerMode test pass on all architectures.
  * Update debian/libqbscore2.3.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 11 May 2024 18:24:25 +0300

qbs (2.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Acknowledge NMU, thanks Benjamin Drung!
  * Mark four symbols as optional to fix build with Qt 6.6.
  * New upstream release.
  * Rename libqbscore2.1t64 to libqbscore2.3 for upstream SONAME change.
    - Drop t64-related Provides, Breaks/Replaces and lintian-overrides.
  * Update debian/libqbscore2.3.symbols from buildds’ and current logs.
  * Update debian/copyright.
  * Remove libqt6opengl6-dev build-dependency (merged into qt6-base-dev).
  * Update install files.
  * Bump Standards-Version to 4.7.0, no changes needed.

  [ Bo YU ]
  * Increase the timeout of qtest with QTEST_FUNCTION_TIMEOUT for riscv64.
    (Closes: #1059264)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 May 2024 21:30:49 +0300
