=== debian/control ===
--- 
+++ 
@@ -1,25 +1,22 @@
 Source: qbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libqt6opengl6-dev,
+               dpkg-build-api (= 1),
                pkg-kde-tools,
                python3-bs4,
                python3-lxml,
                qt6-5compat-dev,
-               qt6-base-dev,
+               qt6-base-dev (>= 6.4.2+dfsg-12~),
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-tools-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -48,10 +45,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore2.1t64
-Provides: ${t64:Provides}
-Replaces: libqbscore2.1
-Breaks: libqbscore2.1 (<< ${source:Version})
+Package: libqbscore2.3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -68,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore2.1t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore2.3 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that
