=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,17 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/default.mk
+
+ifeq (riscv64,$(DEB_BUILD_ARCH_CPU))
+export QTEST_FUNCTION_TIMEOUT=900000
+endif
+
+ifeq ($(call dpkg_vendor_derives_from,ubuntu),yes)
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+export DEB_CXXFLAGS_MAINT_STRIP=-O3
+export DEB_CXXFLAGS_MAINT_APPEND=-O2
+endif
+endif
 
 BUILDPATH ?= obj-$(DEB_HOST_GNU_TYPE)
